org.apache.ignite.ml.knn.ann

## Class ANNModelFormat

- java.lang.Object
- - org.apache.ignite.ml.knn.ann.KNNModelFormat
  - - org.apache.ignite.ml.knn.ann.ANNModelFormat

- All Implemented Interfaces:
    Serializable

      public class ANNModelFormat
      extends KNNModelFormat

  ANN model representation.
  See Also:
    `ANNClassificationModel`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.knn.ann.KNNModelFormat

      `distanceMeasure, k, weighted`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ANNModelFormat(int k, DistanceMeasure measure, boolean weighted, LabeledVectorSet<LabeledVector> candidates, ANNClassificationTrainer.CentroidStat candidatesStat)` Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `LabeledVectorSet<LabeledVector>` | `getCandidates()`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.ignite.ml.knn.ann.KNNModelFormat

      `getDistanceMeasure, getK, isWeighted`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ANNModelFormat

          public ANNModelFormat(int k,
                                DistanceMeasure measure,
                                boolean weighted,
                                LabeledVectorSet<LabeledVector> candidates,
                                ANNClassificationTrainer.CentroidStat candidatesStat)

      Creates an instance.
      Parameters:
        `k` - Amount of nearest neighbors.
        `measure` - Distance measure.
        `weighted` - Weighted or not.
        `candidatesStat` - The stat about candidates.

  - ### Method Detail

    - #### getCandidates

          public LabeledVectorSet<LabeledVector> getCandidates()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `KNNModelFormat`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `KNNModelFormat`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021